From 2e159920da42152a185a060ccf95b0b6bc1e91e8 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 06 2020 18:24:09 +0000
Subject: [PATCH 1313/2232] Merge pull request #433 from dtolnay/clippy


Run clippy on test suite in CI
---

diff --git a/gen/lib/tests/test.rs b/gen/lib/tests/test.rs
index be2e60f..73a25f3 100644
--- a/gen/lib/tests/test.rs
+++ b/gen/lib/tests/test.rs
@@ -16,8 +16,8 @@ fn test_positive() {
     };
     let opt = Opt::default();
     let code = cxx_gen::generate_header_and_cc(rs, &opt).unwrap();
-    assert!(code.header.len() > 0);
-    assert!(code.implementation.len() > 0);
+    assert!(!code.header.is_empty());
+    assert!(!code.implementation.is_empty());
 }
 
 #[test]
diff --git a/tests/cxx_gen.rs b/tests/cxx_gen.rs
index 1818af4..06d7bc7 100644
--- a/tests/cxx_gen.rs
+++ b/tests/cxx_gen.rs
@@ -1,3 +1,5 @@
+#![allow(clippy::field_reassign_with_default)]
+
 use cxx_gen::{generate_header_and_cc, Opt};
 use std::str;
 
diff --git a/tests/test.rs b/tests/test.rs
index 2c6f062..e3f9fce 100644
--- a/tests/test.rs
+++ b/tests/test.rs
@@ -1,3 +1,5 @@
+#![allow(clippy::assertions_on_constants, clippy::float_cmp, clippy::unit_cmp)]
+
 use cxx_test_suite::extra::ffi2;
 use cxx_test_suite::ffi;
 use std::cell::Cell;

